#include <msp430.h> 
#include "driverlib.h"

uint8_t RL;
uint8_t RH;
uint16_t t = 0;
uint16_t i = 0;
EUSCI_B_I2C_initMasterParam master = {
                                      EUSCI_B_I2C_CLOCKSOURCE_SMCLK,
                                      1000000,
                                      EUSCI_B_I2C_SET_DATA_RATE_100KBPS,
                                      5,
                                      EUSCI_B_I2C_NO_AUTO_STOP
                                      };

int main(void)
{
    WDTCTL = WDTPW | WDTHOLD;  // stop watchdog timer

    PM5CTL0 &= ~LOCKLPM5;   //Engage GPIOs

	P1DIR = 0x01;
	P1OUT = 0x01;   // LED on

	//P4DIR = 0x00;

	//P4SEL1 |= 0xC0;
	P4SEL0 |= 0xC0;

	P4REN |= 0xC0;
	//P4OUT |= 0xC0;

//	EUSCI_B_I2C_remapPins(EUSCI_B1_BASE, EUSCI_B_I2C_REMAP_PINS_TRUE);

	EUSCI_B_I2C_initMasterParam* pmaster;
	pmaster = &master;

    //EUSCI_B_I2C_disable(EUSCI_B1_BASE);

	EUSCI_B_I2C_initMaster(EUSCI_B1_BASE, pmaster);
	EUSCI_B_I2C_setSlaveAddress(EUSCI_B1_BASE, 0x10);

    //EUSCI_B_I2C_setMode(EUSCI_B1_BASE, EUSCI_B_I2C_TRANSMIT_MODE);

	P4SEL1 |= 0xC0;
	EUSCI_B_I2C_enable(EUSCI_B1_BASE);

	//__delay_cycles(10000);

	//EUSCI_B_I2C_setMode(EUSCI_B1_BASE, EUSCI_B_I2C_TRANSMIT_MODE);

	//EUSCI_B_I2C_masterSendMultiByteStart(EUSCI_B1_BASE, 0x00);      // command code for configuration register

	EUSCI_B_I2C_masterSendSingleByte(EUSCI_B1_BASE, 0x00);

	EUSCI_B_I2C_masterSendMultiByteFinish(EUSCI_B1_BASE, 0x00);     // value to be written into configuration register

	EUSCI_B_I2C_masterSendMultiByteStart(EUSCI_B1_BASE, 0x08);      // command code for red register

    //EUSCI_B_I2C_setMode(EUSCI_B1_BASE, EUSCI_B_I2C_RECEIVE_MODE);

	EUSCI_B_I2C_masterReceiveStart(EUSCI_B1_BASE);          // start receiving data from Red register

	RL = EUSCI_B_I2C_masterReceiveMultiByteNext(EUSCI_B1_BASE);     // LSB(low byte) of red register

	RH = EUSCI_B_I2C_masterReceiveMultiByteFinish(EUSCI_B1_BASE);   //MS(high byte) of red register

	P1OUT = 0x00;       // LED off
	return 0;
}
